petsc-3.6.2 2015-10-02
Report Typos and Errors

# ISSetBlockSize

informs an index set that it has a given block size

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetBlockSize(IS is,PetscInt bs)

Logicall Collective on IS

### Input Arguments

| is | - index set
| bs | - block size

### See Also

ISGetBlockSize(), ISCreateBlock()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html